summaryrefslogtreecommitdiffstats
path: root/perl/perl-XML-SAX-Base
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2011-12-24 15:03:32 -0200
committer Robby Workman <rworkman@slackbuilds.org>2011-12-27 10:15:06 -0600
commit095f12c08dd3ea17eb59bd7cbcfa4acb1cdc3b44 (patch)
tree486176e756f80dc8dcce73b80fe348e782c1acaa /perl/perl-XML-SAX-Base
parentbd0431ca11cf24d03ea144031e666f9f9192bb06 (diff)
downloadslackbuilds-095f12c08dd3ea17eb59bd7cbcfa4acb1cdc3b44.tar.gz
slackbuilds-095f12c08dd3ea17eb59bd7cbcfa4acb1cdc3b44.tar.xz
perl/perl-XML-SAX-Base: Added (perl module)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'perl/perl-XML-SAX-Base')
-rw-r--r--perl/perl-XML-SAX-Base/README1
-rw-r--r--perl/perl-XML-SAX-Base/perl-XML-SAX-Base.SlackBuild106
-rw-r--r--perl/perl-XML-SAX-Base/perl-XML-SAX-Base.info10
-rw-r--r--perl/perl-XML-SAX-Base/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/perl/perl-XML-SAX-Base/README b/perl/perl-XML-SAX-Base/README
new file mode 100644
index 0000000000..245cf6ff66
--- /dev/null
+++ b/perl/perl-XML-SAX-Base/README
@@ -0,0 +1 @@
+Base class SAX Drivers and Filters.
diff --git a/perl/perl-XML-SAX-Base/perl-XML-SAX-Base.SlackBuild b/perl/perl-XML-SAX-Base/perl-XML-SAX-Base.SlackBuild
new file mode 100644
index 0000000000..3a8a6924c3
--- /dev/null
+++ b/perl/perl-XML-SAX-Base/perl-XML-SAX-Base.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for perl-XML-SAX-Base
+# Written by David Somero <dsomero@hotmail.com>
+# Derived from Slackware's Slackbuilds.
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2011 David Somero (dsomero@hotmail.com) Athens, TN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-XML-SAX-Base
+VERSION=${VERSION:-1.08}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=XML-SAX-Base
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-XML-SAX-Base/perl-XML-SAX-Base.info b/perl/perl-XML-SAX-Base/perl-XML-SAX-Base.info
new file mode 100644
index 0000000000..ccd6728f68
--- /dev/null
+++ b/perl/perl-XML-SAX-Base/perl-XML-SAX-Base.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-XML-SAX-Base"
+VERSION="1.08"
+HOMEPAGE="http://search.cpan.org/~grantm/XML-SAX-Base/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GR/GRANTM/XML-SAX-Base-1.08.tar.gz"
+MD5SUM="38c8c3247dfd080712596118d70dbe32"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="Niels Horn"
diff --git a/perl/perl-XML-SAX-Base/slack-desc b/perl/perl-XML-SAX-Base/slack-desc
new file mode 100644
index 0000000000..ee00d7944f
--- /dev/null
+++ b/perl/perl-XML-SAX-Base/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-XML-SAX-Base: perl-XML-SAX-Base (perl module)
+perl-XML-SAX-Base:
+perl-XML-SAX-Base: Base class SAX Drivers and Filters.
+perl-XML-SAX-Base:
+perl-XML-SAX-Base:
+perl-XML-SAX-Base:
+perl-XML-SAX-Base:
+perl-XML-SAX-Base:
+perl-XML-SAX-Base:
+perl-XML-SAX-Base:
+perl-XML-SAX-Base: